Subject: Re: [RFC][PATCH] MPC832x_RDB: update dts to use spi, register mmc_spi stub

From: Segher Boessenkool <[email-masked]>
Date: Mon, 6 Aug 2007 20:09:43 +0200

>>> +			spi1pio:spi_pin@01 {
>>
>> There should be whitespace after the label.  @01 should be
>> spelled @1.  Except there is no "reg" property.
>
> Hm. I've just tried to keep original style in this particular dts.
> Want to ack patch below?

Not unless you get rid of the extra zeroes, too :-)

> What is prefered style of <&label> vs. < &label > usage, btw?
>
> arch/powerpc/boot/dts$ grep "<&" -r . | wc -l
> 327
> arch/powerpc/boot/dts$ grep "< &" -r . | wc -l
> 92
>
> I can only guess - the first?

I think it looks neater, yes.  I wouldn't worry about it
too much though.

>> What is this
>> stuff, anyway?
>
> Which one? pio-map for spi? This is GPIO pins configuration, to use
> dedicated functions (SPI) for these pins, otherwise SPI will not work.

The weird pseudo-nodes, yes.  This really should be handled in
platform code, not in the device tree; if there is a need to
describe what GPIOs are used for what, that should be handled
differently.

> p.s. mpc8272ads.dts is broken wrt spaces/tabs, very.

Care to do a cleanup patch?  Good for your karma ;-)

Segher